### Method

# EDataServerUI CredentialsPrompter get_dialog_parent

since: 3.16

#### Declaration [src]

    GtkWindow*
    e_credentials_prompter_get_dialog_parent (
      ECredentialsPrompter* prompter
    )

#### Description [src]

Returns a `GtkWindow`, which should be used as a dialog parent. This is determined by an ECredentialsPrompter::get-dialog-parent signal emission. If there is no callback registered or the current callbacks don’t have any suitable window, then there’s chosen the last active window from the default GApplication, if any available.

Available since: 3.16

#### Return value

Type: `GtkWindow`

A `GtkWindow`, to be used as a dialog parent, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.